Update a Package Option
curl --request PUT \
--url https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}import requests
url = "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodyVersion 1
Update a Package Option
Update a Package Option
Update a Package Option. All fields are optional; you only need to pass in the fields that you want to change.
Response
204 on success
PUT
/
{supplierapi}
/
package
/
{productPricesDetailId}
/
option
/
{optionId}
Update a Package Option
curl --request PUT \
--url https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}import requests
url = "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodyPath Parameters
The ID of the ProductPricesDetail
The ID of the Package Option
Pattern:
supplier|apiv1/supplierQuery Parameters
Label for the Package Option.
Sort ordering for the Package Option. The ordering of other Options will be adjusted as needed to accommodate this.
Response
Returned when the update was successful.